## org.apache.lucene.codecs.lucene40
Class Lucene40RWNormsFormat

    java.lang.Object
      org.apache.lucene.codecs.NormsFormat
          org.apache.lucene.codecs.lucene40.Lucene40NormsFormat
              org.apache.lucene.codecs.lucene40.Lucene40RWNormsFormat

    public class Lucene40RWNormsFormat

extends Lucene40NormsFormat

Read-write version of `Lucene40NormsFormat` for testing

Constructor Summary
`Lucene40RWNormsFormat()`

Method Summary
`DocValuesConsumer` `normsConsumer(SegmentWriteState state)`

Methods inherited from class org.apache.lucene.codecs.lucene40.Lucene40NormsFormat
`normsProducer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lucene40RWNormsFormat

    public Lucene40RWNormsFormat()

Method Detail

### normsConsumer

    public DocValuesConsumer normsConsumer(SegmentWriteState state)
                                    throws IOException

  Overrides:
    `normsConsumer` in class `Lucene40NormsFormat`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.